#
# spec file for package perl-Importer
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Importer
Version:        0.026
Release:        1.18
%define cpan_name Importer
Summary:        Alternative but compatible interface to modules that export symbols
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/EX/EXODIST/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.98
%{perl_requires}

%description
This module acts as a layer between Exporter and modules which consume
exports. It is feature-compatible with Exporter, plus some much needed
extras. You can use this to import symbols from any exporter that follows
Exporters specification. The exporter modules themselves do not need to use
or inherit from the Exporter module, they just need to set '@EXPORT' and/or
other variables.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.md
%license LICENSE

%changelog
* Mon Aug 17 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.026
  see /usr/share/doc/packages/perl-Importer/Changes
  0.026     2020-08-16 14:24:02-07:00 America/Los_Angeles
  - Work with strict on by default
* Mon Feb 19 2018 coolo@suse.com
- updated to 0.025
  see /usr/share/doc/packages/perl-Importer/Changes
  0.025     2018-02-18 12:42:37-08:00 America/Los_Angeles
  - Minor cperl fix
* Fri Oct 21 2016 coolo@suse.com
- updated to 0.024
  see /usr/share/doc/packages/perl-Importer/Changes
  0.024     2016-10-20 06:11:07-07:00 America/Los_Angeles
  - No changes from dev release
  0.023     2016-09-15 12:08:40-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Remove experimental pin feature
  0.022     2016-09-14 13:38:19-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix infinite recursion on empty pins
  - Pass caller into on_use
  0.021     2016-08-28 16:44:26-07:00 America/Los_Angeles (TRIAL RELEASE)
  - 'pins' allow multiple inheritence
  - 'pins' allow +pin => [...]
  - Allow nesting tags
  - Allow specs in tags
  - Saner arg parsing all around
  0.020     2016-08-27 15:32:16-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Make 'pins' feature more sane
  - remove '*' in favor of real inheritance
  - use 'undef' for on_use argument when no pin is provided
  - Fix bug where menu attribute was reset multiple times using pins
  0.019     2016-08-25 22:00:28-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Rename the 'version-sets' feature to 'pins' to avoid confusions and
    conflicts
  0.018     2016-08-21 16:09:24-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Allow renaming of the 'v0' version set
  0.017     2016-08-20 22:57:17-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Add on_use/sub EXPORT_ON_USE { ... } feature
  0.016     2016-08-20 21:41:34-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Add polish to version-sets
  - Add '*' version for common things
  - Do not allow tags or versions inside a version specification
  - More documentation for version-sets
  0.015     2016-08-20 15:26:23-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Add support for version-sets
  - Spelling fixes
* Fri Jul 22 2016 coolo@suse.com
- initial package 0.014
  * created by cpanspec 1.78.08
